<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>aidecv - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="Image.html">Image</a><ul class='members'><li data-type='member' style='display: none;'><a href="Image.html#channels">channels</a></li><li data-type='member' style='display: none;'><a href="Image.html#parameters">parameters</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Image.html#set">set</a></li></ul></li><li style="padding-left:20px;border-left:1px solid lightgray;margin-top:-10px" ><a href="aidecv-Setter.html">Setter</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv-Setter.html#set">set</a></li><li data-type='method' style='display: none;'><a href="aidecv-Setter.html#.getSetters">getSetters</a></li></ul></li><li style="padding-left:20px;border-left:1px solid lightgray;margin-top:-10px" ><a href="aidecv-Similarity.html">Similarity</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv-Similarity.html#set">set</a></li><li data-type='method' style='display: none;'><a href="aidecv-Similarity.html#.getSimilarities">getSimilarities</a></li></ul></li><li><a href="commands.html">commands</a><ul class='members'></ul></li><li><a href="aidecv.html">aidecv</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv.html#.mat2mat">mat2mat</a></li><li data-type='method' style='display: none;'><a href="aidecv.html#.mat2json">mat2json</a></li><li data-type='method' style='display: none;'><a href="aidecv.html#.mat2txt">mat2txt</a></li><li data-type='method' style='display: none;'><a href="aidecv.html#.bgr2bin">bgr2bin</a></li></ul></li><li style="padding-left:20px;border-left:1px solid lightgray;margin-top:-10px" ><a href="aidecv-opencvwindow.html">opencvwindow</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="aidecv-opencvwindow.html#.show">show</a></li><li data-type='method' style='display: none;'><a href="aidecv-opencvwindow.html#.waitUntilWindowsClosed">waitUntilWindowsClosed</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">aidecv</h1>
    

    




<section>

<header>
    
        <h2>
        
            aidecv
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="aidecv"><span class="type-signature"></span>factory aidecv<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Implements a few opencv utilities or specific algorithms used in this context.</p>
<ul>
<li>These functions are accessible via the <code>aidecv::</code> prefix.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
        <h3 class="subsection-title">Classes</h3>

        <dl>
            <dt style="background: #6d426d; box-shadow: 0 .25em .5em #d3d3d3; border-top: 1px solid #d3d3d3; border-bottom: 1px solid #d3d3d3; margin: 1.5em 0 0.5em; padding: .75em 0 .75em 10px;"><a style="color: #eee; font-size: larger; font-weight: bold;" href="aidecv-Setter.html">Setter</a></dt>
            <dd></dd>
        
            <dt style="background: #6d426d; box-shadow: 0 .25em .5em #d3d3d3; border-top: 1px solid #d3d3d3; border-bottom: 1px solid #d3d3d3; margin: 1.5em 0 0.5em; padding: .75em 0 .75em 10px;"><a style="color: #eee; font-size: larger; font-weight: bold;" href="aidecv-Similarity.html">Similarity</a></dt>
            <dd></dd>
        
            <dt style="background: #6d426d; box-shadow: 0 .25em .5em #d3d3d3; border-top: 1px solid #d3d3d3; border-bottom: 1px solid #d3d3d3; margin: 1.5em 0 0.5em; padding: .75em 0 .75em 10px;"><a style="color: #eee; font-size: larger; font-weight: bold;" href="aidecv-opencvwindow.html">opencvwindow</a></dt>
            <dd></dd>
        </dl>
    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".mat2mat"><span class="type-signature type-signature-static">(static) </span>mat2mat<span class="signature">(img)</span><span class="type-signature"> &rarr; {Mat}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a cv::Mat temporary matrix that can be saved or shown.</p>
<ul>
<li><code>CV_32FC2</code> is converted to <code>CV_32FC3</code> since only 1, 3 or 4 channels image can be saved.</li>
<li><code>CV_32SC1</code> is converted to <code>CV_32FC1</code> for proper management of the values.</li>
<li><code>CV_8UC1</code>, <code>CV_8UC3</code>, and <code>CV_32FC3</code> are left unchanged.</li>
<li>other <code>cv::Mat</code> formats are not used in this context.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>img</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            

            

            <td class="description last"><p>The input image.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A temporary reference to the same image contents, but in a savable or showable form.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Mat</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".mat2json"><span class="type-signature type-signature-static">(static) </span>mat2json<span class="signature">(img, meanstdev<span class="signature-attributes">opt</span>)</span><span class="type-signature"> &rarr; {JSON}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the cv::Mat characteristics as a string, with optionally pixels mean and standard-deviation.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>img</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The input image.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>meanstdev</code></td>
            

            <td class="type">
            
                
<span class="param-type">bool</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>true</code>
                
                </td>
            

            <td class="description last"><p>If true computes pixels intensity mean and standard-deviation.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A temporary JSON data structure with the different parameters.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">JSON</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".mat2txt"><span class="type-signature type-signature-static">(static) </span>mat2txt<span class="signature">(img)</span><span class="type-signature"> &rarr; {String}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the image data in textual form.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>img</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            

            

            <td class="description last"><p>The input image.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A string with a 2D print of the image pixel values.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">String</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".bgr2bin"><span class="type-signature type-signature-static">(static) </span>bgr2bin<span class="signature">(img)</span><span class="type-signature"> &rarr; {Mat}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Converts a BGR image to a binary one with automatic threshold calculation.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>img</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            

            

            <td class="description last"><p>The input image.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A temporary reference to the computed image.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Mat</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>